# QThreadPool Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QThreadPool(QObject parent)

### Constructor Properties

- prototype: The QThreadPool prototype object
- QThreadPool globalInstance()

### Prototype Object Properties

The QThreadPool prototype object inherits properties from the QObject prototype object and also has the following properties.

- void releaseThread()
- void reserveThread()
- void start(QRunnable runnable, int priority)
- bool tryStart(QRunnable runnable)
- void waitForDone()

### Instance Properties

QThreadPool objects inherit properties from the QThreadPool prototype object and also have the following properties.

- expiryTimeout
- maxThreadCount
- activeThreadCount